// Fill out your copyright notice in the Description page of Project Settings.


#include "HoverableBoxComponent.h"


UHoverableBoxComponent::UHoverableBoxComponent()
{
	PrimaryComponentTick.bCanEverTick = false;
	UPrimitiveComponent::SetCollisionEnabled(ECollisionEnabled::QueryOnly);
	UPrimitiveComponent::SetCollisionResponseToAllChannels(ECR_Ignore);
	UPrimitiveComponent::SetCollisionResponseToChannel(ECC_GameTraceChannel1, ECR_Block);
}

